{% extends "base.html" %}

{% block main %}
<h1>UI / input</h1>

<div class="text-field">
  <label><span class="label">Simple input</span>
    <input name="login" type="text" autocomplete="off" required>
  </label>
  <div class="error err-login"></div>
</div>


<div class="text-field">
  <label><span class="label">Password input</span>
    <input name="password" type="password" autocomplete="off" required>
  </label>
  <div class="error"></div>
</div>

<div class="text-field">
  <label><span class="label">With error</span>
    <input name="login" type="text" autocomplete="off" required>
  </label>
  <div class="error">Incorrect</div>
</div>

<pre><code>
&lt;div class="text-field"&gt;
  &lt;label&gt;&lt;span class="label"&gt;With error&lt;/span&gt;
    &lt;input name="login" type="text" autocomplete="off" required&gt;
  &lt;/label&gt;
  &lt;div class="error"&gt;Incorrect&lt;/div&gt;
&lt;/div&gt;
</code></pre>




<h2>Errors in a backend</h2>

A site must work even with disabled JS. So there must be a POST endpoint
returning a HTML page with errors.

<!-- Your API answer with a JSON object containing "errors" key which is an
     object of [name-error] pairs.

     <pre><code class="json">
     {
     ...
     "errors": {
     "login": "Incorrect",
     ...
     }
     }
     </code></pre> -->

{% endblock %}
